com.aispeech.dui.dds

## Class DDSErrorUtil

- java.lang.Object
- - com.aispeech.dui.dds.DDSErrorUtil

-     public class DDSErrorUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DDSErrorUtil()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DDSErrorUtil` | `getInstance()`
    `void` | `restartSuccess()`
    `boolean` | `sendDDSError(int code, org.json.JSONObject obj)`
    `void` | `setDDSErrorListener(DDSErrorListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DDSErrorUtil

          public DDSErrorUtil()

  - ### Method Detail

    - #### getInstance

          public static DDSErrorUtil getInstance()

    - #### setDDSErrorListener

          public void setDDSErrorListener(DDSErrorListener listener)

    - #### sendDDSError

          public boolean sendDDSError(int code,
                                      org.json.JSONObject obj)

    - #### restartSuccess

          public void restartSuccess()